@mixin charSplit($duration) {
  .char {
    animation: slide-down $duration forwards;
    animation-delay: calc(0.1s * var(--char-index));
    opacity: 0;
  }
}

@mixin wordSplit($duration) {
  .word {
    animation: slide-down $duration forwards;
    animation-delay: calc(0.1s * var(--word-index));
    opacity: 0;
  }

}

@keyframes slide-down {
  from {
    transform: translateY(-125%);
    opacity: 0;
  }
  to {
    transform: translateY(0%);
    opacity: 1;
  }
}

[data-scroll] {
  transition: all 1s ease;
}

[data-scroll="in"] {
  @include wordSplit(0.25s);
}

[data-scroll="out"] {
  opacity: 0;
}

